package com.huertian.jinduguanli.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties(prefix = "jwt")
public class JwtConfig {
    private long defaultExpirationMs = 86400000; // 默认24小时
    private long rememberExpirationMs = 604800000; // 默认7天

    public long getDefaultExpirationMs() {
        return defaultExpirationMs;
    }

    public void setDefaultExpirationMs(long defaultExpirationMs) {
        this.defaultExpirationMs = defaultExpirationMs;
    }

    public long getRememberExpirationMs() {
        return rememberExpirationMs;
    }

    public void setRememberExpirationMs(long rememberExpirationMs) {
        this.rememberExpirationMs = rememberExpirationMs;
    }
}
